Subject: bug#79407: [bug-diffutils] bug#79407: bug#79407: to-file option not working any more?

From: Robert Webb <[email-masked]>
Date: Tue, 9 Sep 2025 02:11:31 -0700

On Mon, Sep 8, 2025 at 11:48 PM Mandar Mitra <[email-masked]> wrote:
>
> Robert Webb wrote (Mon, Sep 08, 2025 at 09:06:11PM -0700):
> > Mandar, I can confirm that the --to-file option as a directory results
> > in only the first command-line file
> > being diffed, with errors for the others.
>
> Many thanks for confirming! Is there anything I can do to help fix this, or would it be absolutely straightforward for you to patch the correct handling from 3.6 (say) into 3.12?

I am just a user of diffutils, like you.  You could maybe find the
exact version that changed diff's behavior.
That would focus on a small set of source code changes where the
problem might be.
-- 
Robert Webb